--- old/usr/src/cmd/boot/scripts/create_ramdisk.ksh	2013-05-26 18:22:36.269374130 +0000
+++ new/usr/src/cmd/boot/scripts/create_ramdisk.ksh	2013-05-26 18:22:36.289407341 +0000
@@ -159,7 +159,7 @@
 	# Estimate image size and add 10% overhead for ufs stuff.
 	# Note, we can't use du here in case we're on a filesystem, e.g. zfs,
 	# in which the disk usage is less than the sum of the file sizes.
-	# The nawk code 
+	# The awk code 
 	#
 	#	{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
 	#
@@ -168,17 +168,17 @@
 	# with directories.  This results in a total size that's slightly
 	# bigger than if du was called on a ufs directory.
 	size32=$(cat "$list32" | xargs -I {} ls -lLd "{}" 2> /dev/null |
-		nawk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
+		/usr/xpg4/bin/awk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
 		END {print int(t * 1.10 / 1024)}')
 	(( size32 += dirsize32 ))
 	size64=$(cat "$list64" | xargs -I {} ls -lLd "{}" 2> /dev/null |
-		nawk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
+		/usr/xpg4/bin/awk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
 		END {print int(t * 1.10 / 1024)}')
 	(( size64 += dirsize64 ))
 	(( total_size = size32 + size64 ))
 
 	if [ $compress = yes ] ; then
-		total_size=`echo $total_size | nawk '{print int($1 / 2)}'`
+		total_size=`echo $total_size | /usr/xpg4/bin/awk '{print int($1 / 2)}'`
 	fi
 }
 
@@ -395,7 +395,7 @@
 
 	# sanity check the archive before moving it into place
 	#
-	ARCHIVE_SIZE=`ls -l "${archive}-new" 2> /dev/null | nawk '{ print $5 }'`
+	ARCHIVE_SIZE=`ls -l "${archive}-new" 2> /dev/null | /usr/xpg4/bin/awk '{ print $5 }'`
 	if [ $compress = yes ] || [ $ISA = sparc ] ; then
 		#
 		# 'file' will report "English text" for uncompressed
@@ -477,7 +477,7 @@
 		print "$path"
 	elif [ -d "$path" ]; then
 		if [ $format = ufs ]; then
-			size=`ls -lLd "$path" | nawk '
+			size=`ls -lLd "$path" | /usr/xpg4/bin/awk '
 			    {print ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}'`
 			if [ `basename "$path"` != "amd64" ]; then
 				(( dirsize32 += size ))
